#
# spec file for package yast2-heartbeat (Version 2.13.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-heartbeat
Version:        2.13.10
Release:        1.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-heartbeat-2.13.10.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2
BuildArchitectures:	noarch
Summary:        YaST2 - High Availability Configuration

%description
YaST2 - High Availability Configuration

Authors:
--------
    Martin Lazar <mlazar@suse.cz>

%debug_package
%prep
%setup -n yast2-heartbeat-2.13.10

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/heartbeat
/usr/share/YaST2/include/heartbeat/*
/usr/share/YaST2/clients/heartbeat.ycp
# /usr/share/YaST2/clients/heartbeat_*.ycp
/usr/share/YaST2/modules/Heartbeat.*
%{prefix}/share/applications/YaST2/heartbeat.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-heartbeat

%changelog -n yast2-heartbeat
* Fri Jun 02 2006 - jjones@novell.com
- Removed STONITH screen. (#179037)
- Modified the way the ethernet devices list is built (#179320)
* Thu May 04 2006 - lslezak@suse.cz
- merged proofread texts
- removed \r char in the help text, merged splitted label (#160626)
- 2.13.9
* Tue May 02 2006 - jjones@novell.com
- fixed radio button activation on Media Config dialog (#171261)
- removed the code that adds 'mgmt' line to ha.cf (#171692)
- 2.13.8
* Wed Apr 19 2006 - lslezak@suse.cz
- fixed Edit button behaviour in the Media Config dialog (#156809)
- properly detect network interfaces (#157276)
- display redundancy warning message at proper time (#157296)
- 2.13.7
- fixed Edit button behaviour in the Media Config dialog (#156809)
- properly detect network interfaces (#157276)
- display redundancy warning message at proper time (#157296)
- 2.13.7
* Thu Mar 09 2006 - lslezak@suse.cz
- merged proofread texts
- 2.13.6
* Fri Feb 24 2006 - jjones@novell.com
- updated help text to correspond with screen changes
- added a default for bcast, check for lib64 path of mgmtd,
  put udpport back on media screen (#152595)
- 2.13.5
* Thu Feb 23 2006 - lslezak@suse.cz
- .spec - removed yast2-devel-packages macro
- help texts updated back to rev. 27810 (use the new texts)
- 2.13.4
* Fri Feb 10 2006 - lslezak@suse.cz
- display current IP address, configure "autojoin" and "crm" keys
  (#150010)
- 2.13.3
* Fri Feb 03 2006 - jjones@novell.com
- Changed the order of the screens
- Removed "resources_conf", "timeouts_conf", "ipfail_conf",
  "group_conf"
- Added ability to specify multiple nodes.
- 2.13.2
* Mon Jan 23 2006 - lslezak@suse.cz
- merged proofread texts
- 2.13.1
* Mon Jan 09 2006 - lslezak@suse.cz
- fixed return types (use "void" for functions without return)
- use Mode::test()
- 2.13.0
* Fri Sep 10 2004 - mlazar@suse.cz
- Required replaced by PackageSystem (see bug 30872)
* Thu Jun 17 2004 - mlazar@suse.cz
- V 2.10.0
- Merged the 9.1 branch
* Fri Jun 04 2004 - mlazar@suse.cz
- fixed bug 41579 (Strange error Message when starting heartbeat)
* Tue Jun 01 2004 - visnov@suse.cz
- 2.9.3
* Mon May 31 2004 - mlazar@suse.cz
- properly create empty (unconfigured) authkeys file
- properly write media to ha.cf file
* Thu May 27 2004 - visnov@suse.cz
- merged proofread messages
- properly handle edit/delete buttons in media dialog
- 2.9.2
* Thu May 27 2004 - mlazar@suse.cz
- a small change in resource screen layout
* Wed May 26 2004 - mlazar@suse.cz
- added new dialogs (timouts, ipfail and ping group)
- added multicast configuration to media dialog
- support for change order of resources
- added help texts
* Tue May 25 2004 - arvin@suse.de
- merged proofread messages
* Wed May 19 2004 - msvec@suse.cz
- 2.9.0
* Mon May 17 2004 - mlazar@suse.cz
- initial version
